Bug 1734422 (CVE-2019-14235) - CVE-2019-14235 Django: Potential memory exhaustion in django.utils.encoding.uri_to_iri()
Summary: CVE-2019-14235 Django: Potential memory exhaustion in django.utils.encoding.u...
Keywords:
Status: NEW
Alias: CVE-2019-14235
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1735782 1744798 1744800 1750447 1735781 1735783 1735784 1738516 1738517 1738518 1744797 1744799 1750448
Blocks: 1734428
TreeView+ depends on / blocked
 
Reported: 2019-07-30 13:57 UTC by Marian Rehak
Modified: 2019-09-29 15:18 UTC (History)
32 users (show)

Fixed In Version: python-django 1.11.23, python-django 2.1.11, python-django 2.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Marian Rehak 2019-07-30 13:57:21 UTC
If passed certain inputs, :func:django.utils.encoding.uri_to_iri could lead to significant memory usage due to excessive recursion when re-percent-encoding invalid UTF-8 octet sequences.

Comment 1 Marian Rehak 2019-08-01 12:34:02 UTC
Created python-django tracking bugs for this issue:

Affects: epel-7 [bug 1735781]
Affects: fedora-29 [bug 1735783]
Affects: fedora-30 [bug 1735784]


Created python-django16 tracking bugs for this issue:

Affects: epel-7 [bug 1735782]

Comment 2 Hardik Vyas 2019-08-05 12:02:18 UTC
External References:

https://www.djangoproject.com/weblog/2019/aug/01/security-releases/

Comment 10 Anten Skrabec 2019-08-22 22:25:54 UTC
Red Hat OpenStack Platform:                                                                                                                 
* This issue affects all versions of python-django shipped with Red Hat Openstack Platform versions 9-15, as it contains the vulnerable code.
* Because the flaw's impact is Medium, it will not be fixed in Red Hat Openstack Platform 9 which is retiring on 8/24.

Comment 14 Marian Rehak 2019-09-04 08:21:15 UTC
Acknowledgments:

Name: the Django project

Comment 15 Riccardo Schirone 2019-09-09 15:41:01 UTC
Statement:

This issue affects the versions of python-django as shipped with Red Hat Gluster Storage 3, Red Hat Ceph Storage 2 and 3, as it contains the vulnerable code.

This issue affects Red Hat Update Infrastructure for Cloud Providers, but the vulnerable functions in python-django are currently not used in any part of the Product.

This issue does not affect Red Hat Satellite as the vulnerable functions in python-django are not used.

Red Hat OpenStack Platform:                                                                                                                 
* This issue affects all versions of python-django shipped with Red Hat Openstack Platform versions 9-15, as it contains the vulnerable code.
* Because the flaw's impact is Medium, it will not be fixed in Red Hat Openstack Platform 9 which is retiring 8/24.


Note You need to log in before you can comment on or make changes to this bug.